<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSessionProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('session_products', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->bigInteger('s_cat_id')->nullable();
            $table->bigInteger('s_subcat_id')->nullable();
            $table->string('s_name');
            $table->string('s_image')->nullable();
            $table->string('s_detail')->nullable();

            /*
             $table->bigInteger('s_session_id')->nullable();
            $table->bigInteger('s_category_id')->nullable();
            $table->bigInteger('s_sub_category_id')->nullable();
            $table->string('s_name');
            $table->string('s_image')->nullable();
            */
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('session_products');
    }
}
